---
title: oh-list - List
component: oh-list
label: List
description: List control, hosts list items
source: https://github.com/openhab/openhab-webui/edit/main/bundles/org.openhab.ui/doc/components/oh-list.md
prev: /docs/ui/components/
---

# oh-list - List

<!-- Put a screenshot here if relevant:
![](./images/oh-list/header.jpg)
-->

[[toc]]

<!-- Note: you can overwrite the definition-provided description and add your own intro/additional sections instead -->
<!-- DO NOT REMOVE the following comments if you intend to keep the definition-provided description -->
<!-- GENERATED componentDescription -->
List control, hosts list items
<!-- GENERATED /componentDescription -->

## Configuration

<!-- DO NOT REMOVE the following comments -->
<!-- GENERATED props -->
### General
<div class="props">
<PropGroup label="General">
<PropBlock type="BOOLEAN" name="simpleList" label="Simple List">
  <PropDescription>
    Use for simple lists
  </PropDescription>
</PropBlock>
<PropBlock type="BOOLEAN" name="mediaList" label="Media List">
  <PropDescription>
    Use for list with rich list items with icons
  </PropDescription>
</PropBlock>
<PropBlock type="BOOLEAN" name="accordionList" label="Accordion List">
  <PropDescription>
    Use for lists with accordion (collapsible) items
  </PropDescription>
</PropBlock>
</PropGroup>
</div>


<!-- GENERATED /props -->

<!-- If applicable describe how properties are forwarded to a underlying component from Framework7, ECharts, etc.:
### Inherited Properties

-->

<!-- If applicable describe the slots recognized by the component and what they represent:
### Slots

#### `default`

The contents of the oh-list.

-->

<!-- Add as many examples as desired - put the YAML in a details container when it becomes too long (~150/200+ lines):
## Examples

### Example 1

![](./images/oh-list/example1.jpg)

```yaml
component: oh-list
config:
  prop1: value1
  prop2: value2
```

### Example 2

![](./images/oh-list/example2.jpg)

::: details YAML
```yaml
component: oh-list
config:
  prop1: value1
  prop2: value2
slots
```
:::

-->

<!-- Try to clean up URLs to the forum (https://community.openhab.org/t/<threadID>[/<postID>] should suffice)
## Community Resources

- [Community Post 1](https://community.openhab.org/t/12345)
- [Community Post 2](https://community.openhab.org/t/23456)
-->
